Page MenuHomePhabricator

Remove the "HTTPS to HTTP" url filter in the IRC feed
Closed, ResolvedPublic

Description

https://gerrit.wikimedia.org/r/#/c/217858/

This needs to be announced in tech news etc.

Deployment date: Monday, May 2nd, 2016.

Event Timeline

Krenair created this task.Jan 5 2016, 10:35 PM
Krenair raised the priority of this task from to Needs Triage.
Krenair updated the task description. (Show Details)
Krenair added a subscriber: Krenair.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 5 2016, 10:35 PM
Krenair added a subscriber: faidon.

Change 217858 had a related patch set uploaded (by Alex Monk):
Do not rewrite https -> http for IRC notifications

https://gerrit.wikimedia.org/r/217858

Johan added a subscriber: Johan.Jan 7 2016, 8:50 AM

This is about recent changes IRC feed, right? When do you expect this change to take effect?

Chmarkine set Security to None.
Chmarkine added a subscriber: Chmarkine.
Restricted Application added a project: Operations. · View Herald TranscriptFeb 23 2016, 6:12 PM
faidon removed faidon as the assignee of this task.Mar 15 2016, 2:30 PM
hashar added a subscriber: hashar.Mar 15 2016, 2:43 PM

Note the IRC feed URLs have been set explicitly to HTTP because of T31925: https-links should not be outputted to irc.wikimedia.org (Regression). Using https:// broke patrolling bots.

Looks like a User-notice has been sent to https://meta.wikimedia.org/wiki/Tech/News/2016/02 , one might want to notify wikitech-l and maybe labs-l as well.

IIRC a lot of bots relying on IRC are legacy tools and some might not have any developer to do the adjustment. But maybe we can be very firm about it and highlight the RCStream system which is supposed to takeover IRC.

If there is major outcry, guess we will want to revert to http and plan on phasing out the IRC service entirely and have tools to be migrated to RCStream.

Krinkle renamed this task from Stop rewriting URLs to unencrypted HTTP in the IRC feed to Remove the "HTTPS to HTTP" url filter in the IRC feed.Mar 16 2016, 11:46 PM
Krinkle removed a project: Traffic.
Restricted Application added a project: Traffic. · View Herald TranscriptMar 16 2016, 11:46 PM
Krinkle updated the task description. (Show Details)Mar 16 2016, 11:46 PM
Krinkle moved this task from Archive to Announce in next Tech/News on the User-notice board.
hashar removed a subscriber: hashar.Mar 21 2016, 9:55 AM
Izno added a subscriber: Izno.Mar 21 2016, 4:11 PM
Rxy added a subscriber: Rxy.Mar 22 2016, 11:08 AM
Andrew triaged this task as Normal priority.Apr 14 2016, 7:46 PM
Dzahn added a subscriber: Dzahn.May 3 2016, 2:02 AM

19:04 < mutante> that irc link thing there. it has a comment "can be merged anytime. no impact"
19:04 < mutante> and a scheduled deployment date of May 2nd
19:04 < RoanKattouw> Yeah, if Krinkle says that I'll happily merge+deploy
19:04 < mutante> it should have been in the earlier window but irc.wm wasn't ready due to other bugs
19:04 < grrrit-wm> (CR) Catrope: [C: 2] Remove obsolete 'https -> http' rewrite for IRC notifications [mediawiki-config] -

https://gerrit.wikimedia.org/r/217858 (https://phabricator.wikimedia.org/T122933) (owner: Faidon Liambotis)

19:04 < mutante> thanks a lot :)

per "Don't merge before May 2nd, 2016." , just on time

Dzahn closed this task as Resolved.May 3 2016, 2:04 AM
Dzahn claimed this task.

claiming resolved, but _please_ confirm

Change 217858 merged by jenkins-bot:
Remove obsolete 'https -> http' rewrite for IRC notifications

https://gerrit.wikimedia.org/r/217858

Dzahn added a comment.May 3 2016, 2:27 AM

@Johan the change happened now, late but still on May 2nd as announced